Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000621Doomseeker[All Projects] Suggestionpublic2011-11-11 20:222017-07-03 17:38
ReporterZalewa 
Assigned ToZalewa 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.1 
Summary0000621: Improve the way config dialog box validates the config data
DescriptionCurrently, when Doomseeker detects invalid information in the config dialog box, the validation is performed after user presses OK and then a custom error information is displayed.

I propose to make following changes to validation mechanism:
[list]
[*] Validation should occur immediatelly after the data is inserted, or when user leaves the current config page, or when user presses either "OK" or "Apply" buttons.
[*] Validation should produce either errors or warnings. Errors will disallow user to save the configuration. Warnings will give an option to ignore them.
[*] Errors should be produced wherever Doomseeker can be 100% sure that the inserted data is incorrect.
[*] Warnings should be produced wherever inserted data might be incorrect. For example: a warning should be issued if user points a path in one of the game's configuration to a binary with odd name. For example user might specify that Skulltag's executable is "/bin/bash", which is most likely an error, but we can't say for sure that is not what was intended.
[*] Once an error/warning is issued, config box should immediately switch to the offending config page and visibly mark the offending variable with an icon. Hovering a mouse cursor over that icon should display a tooltip describing the error.
[/list]

Additional features:
[list]
[*] Validation could also occur when the configuration box is opened. This would help to detect potential configuration errors that were caused by external events. For example: removing a directory from filesystem will now render that directory invalid in WAD paths.
[/list]
Attached Files

- Relationships

-  Notes
User avatar (0016583)
Zalewa (developer)
2017-01-01 15:40
edited on: 2017-01-01 16:06

Done in this commits:

1.https://bitbucket.org/Doomseeker/doomseeker/commits/6017ac76b1f74fabb95bc0c2c03344e5acb15e4b [^]
2.https://bitbucket.org/Doomseeker/doomseeker/commits/a003c89ee46647c8d5edbd374a770fa6ef250eef [^]

User avatar (0016625)
Zalewa (developer)
2017-01-08 14:18

Update available on beta auto-update channel.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2011-11-11 20:22 Zalewa New Issue
2011-11-11 20:23 Zalewa Description Updated View Revisions
2011-11-11 20:23 Zalewa Description Updated View Revisions
2016-11-12 10:47 Zalewa Assigned To => Zalewa
2016-11-12 10:47 Zalewa Status new => assigned
2017-01-01 15:40 Zalewa Note Added: 0016583
2017-01-01 15:40 Zalewa Status assigned => needs review
2017-01-01 16:06 Zalewa Note Edited: 0016583 View Revisions
2017-01-08 14:18 Zalewa Note Added: 0016625
2017-01-08 14:18 Zalewa Status needs review => needs testing
2017-07-03 17:38 Zalewa Status needs testing => resolved
2017-07-03 17:38 Zalewa Fixed in Version => 1.1
2017-07-03 17:38 Zalewa Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker